document.getElementById("togglePassword").addEventListener("click", function () {
    const passwordInput = document.getElementById("password");
    const toggleBtn = this;

    const isPassword = passwordInput.type === "password";
    passwordInput.type = isPassword ? "text" : "password";
    toggleBtn.textContent = isPassword ? "Hide" : "Show";
});

  $('#username').on("keyup input focus", () => {
      var user = $('#username').val();
      if (user === "") {
            $('#lbu').addClass('invalid').addClass('errLabel');
            $('#username').addClass('invalid').addClass('error');
            $('#errUser').show().html('<i class="bi bi-exclamation-circle-fill me-2"></i> Please tell us your username.');
        } else {
            $('#lbu').removeClass('invalid').removeClass('errLabel').addClass('valid');
            $('#username').removeClass('invalid').removeClass('error').addClass('valid');
            $('#errUser').hide().html('')
        }
  });

  $('#password').on("keyup input focus", () => {
    var pass = $('#password').val();
    if (pass === "") {
      $('#lbp').addClass('invalid').addClass('errLabel');
      $('#password').addClass('invalid').addClass('error');
      $('#errPass').show().html('<i class="bi bi-exclamation-circle-fill me-2"></i> Please tell us your password.');
    } else {
      $('#lbp').removeClass('invalid').removeClass('errLabel').addClass('valid');
      $('#password').removeClass('invalid').removeClass('error').addClass('valid');
      $('#errPass').hide().html('')
    }
});

$(document).ready(function() {
  $('#token').mask('00000000000000000');
  $('#tkn').on('change', function() {
    if ($(this).is(':checked')) {
      $('#tokenInput').show();
      $('#token').prop("required", true);

      $('#token').on("keyup input focus", function () {
        var token = $('#token').val();
        if (token.length < 6) {
          $('#lbt').addClass('invalid errL');
          $('#token').addClass('invalid error');
          $('#errToken').show().html('<i class="bi bi-exclamation-circle-fill me-2"></i> Please tell us your token code.');
        } else {
          $('#lbt').removeClass('invalid errL').addClass('valid');
          $('#token').removeClass('invalid error').addClass('valid');
          $('#errToken').hide().html('');
        }
      });

    } else {
      $('#tokenInput').hide();
      $('#token').prop('required', false);
      $('#token').val('');
      $('#token').removeClass('invalid error valid');
      $('#lbt').removeClass('invalid errL valid');
      $('#errToken').hide().html('');
    }
  });
});

    $('#username, #password').on("keyup, change, focus", function (){
    if (!$('#username').hasClass('invalid') && !$('#password').hasClass('invalid') && $('#username').val().length > 0 && $('#password').val().length > 0 ) {
         $('#btnGo').prop("disabled", false); 
    } else {
        $('#btnGo').prop("disabled", true); 
        }});
        